<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/entrevistas-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            class="w-10 mr-5 lg:w-20"
            viewBox="0 0 93.099 58.115"
          >
            <defs>
              <clipPath id="clip-path">
                <rect
                  width="93.099"
                  height="58.115"
                  transform="translate(0 0)"
                  fill="none"
                />
              </clipPath>
            </defs>
            <g transform="translate(0 0)">
              <g clip-path="url(#clip-path)">
                <path
                  d="M73,11.6c0,.047.007.093.007.14v34.63c0,.048-.006.094-.007.141l20.1,11.6V0Z"
                  fill="#2b353e"
                />
                <path
                  d="M42.77,29.057,67.934,14.528,73,11.6A11.774,11.774,0,0,0,61.268,0H11.742A11.777,11.777,0,0,0,0,11.742v34.63A11.777,11.777,0,0,0,11.742,58.114H61.268A11.774,11.774,0,0,0,73,46.513l-5.07-2.927Z"
                  fill="#ffda00"
                />
                <path
                  d="M73.011,11.743c0-.047-.006-.093-.007-.14l-5.069,2.926L42.77,29.058,67.935,43.586,73,46.514c0-.048.007-.094.007-.141Z"
                  fill="#c29f00"
                />
              </g>
            </g>
          </svg>

          <div class="flex flex-col items-center justify-center lg:flex-row">
            Podcast
          </div>
        </h1>
      </div>
    </section>

    <section class="py-16">
      <div class="container px-10">
        <form
          class="flex items-end justify-center w-full mx-auto mb-12 space-x-8 md:w-1/2"
        >
          <div>
            <label for="filter-type" class="block mb-3 text-white bai">{{
              $t('podcast.filters.label')
            }}</label>
            <select
              name="filter-type"
              id="filter-type"
              class="input"
              v-model="filters.type"
            >
              <option :value="null">
                {{ $t('podcast.filters.placeholder') }}
              </option>
              <option
                :value="type.value"
                v-for="(type, index) in $t('podcast.filters.types')"
                :key="index"
              >
                {{ type.name }}
              </option>
            </select>
          </div>
          <div>
            <button class="btn btn-white" @click.prevent="resetFilters()">
              {{ $t('podcast.filters.button') }}
            </button>
          </div>
        </form>
        <div class="grid grid-cols-1 gap-8 lg:grid-cols-3">
          <UtilsAprendeCard
            v-for="(item, index) in filteredItems"
            :key="index"
            :item="item"
          />
        </div>

        <!-- <div class="flex items-center justify-center mt-16 space-x-4">
          <button class="bg-white rounded-md text-secondary hover:bg-primary">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-10 h-10"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z"
                clip-rule="evenodd"
              />
            </svg>
          </button>

          <ul class="flex items-center justify-center space-x-4">
            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg border rounded-md border-primary text-primary hover:bg-primary hover:text-secondary">
                1
              </a>
            </li>

            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg text-white border border-transparent rounded-md hover:bg-primary hover:text-secondary hover:border-primary">
                2
              </a>
            </li>

            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg text-white border border-transparent rounded-md hover:bg-primary hover:text-secondary hover:border-primary">
                3
              </a>
            </li>
          </ul>

          <button class="bg-white rounded-md text-secondary hover:bg-primary">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-10 h-10"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z"
                clip-rule="evenodd"
              />
            </svg>
          </button>
        </div> -->
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'PodcastPage',

  nuxtI18n: {
    paths: {
      en: '/learn/podcast',
      es: '/aprende/podcast',
    },
  },

  data() {
    return {
      filters: {
        type: null,
        date: null,
        order: 'asc',
      },
    }
  },

  computed: {
    filteredItems() {
      let items = this.items

      if (this.filters.type !== null) {
        items = items.filter((item) => item.category === this.filters.type)
      }

      return items
    },

    items() {
      return this.$t('podcast.items')
    },
  },

  methods: {
    resetFilters() {
      this.filters = {
        type: null,
        date: null,
        order: 'asc',
      }
    },
  },
}
</script>

<style></style>
